complexType "FxDisruptionProvisions"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 3 elements
Defined: | globally in fpml-fx-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | events, fallbacks, applicableTerms?
</...>

Content Model Elements (3):

  applicableTerms, events, fallbacks

All Direct / Indirect Based Elements (1):

  provisions

Known Usage Locations

- As direct type of elements (1):
  provisions

Annotation
Describes a set of disruption events and the fallbacks they will invoke
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="FxDisruptionProvisions"> <xsd:sequence> <xsd:element name="events" type="FxDisruptionEvents"/> <xsd:element name="fallbacks" type="FxDisruptionFallbacks"/> <xsd:element minOccurs="0" name="applicableTerms" type="FxTemplateTerms"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
applicableTerms

  Type: | FxTemplateTerms, simple content

  Indicates the template terms that describe the events and fallbacks.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="applicableTerms" type="FxTemplateTerms"/>

events

  Type: | FxDisruptionEvents, complex content

  If any of the events listed in this section occurs then the associated fallbacks willl be applied.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="events" type="FxDisruptionEvents"/>

fallbacks

  Type: | FxDisruptionFallbacks, complex content

  Describes the fallback processing or termination procedures that can be applied if an event occurs,
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="fallbacks" type="FxDisruptionFallbacks"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.